## rust-sequoia-wot 0.15.0

=== spec/Makefile ===
#!/usr/bin/make -f

# dependencies:

# apt install weasyprint xml2rfc ruby-kramdown-rfc2629

draft = draft-sequoia-wot
OUTPUT = $(draft).txt $(draft).html $(draft).xml $(draft).pdf

all: $(OUTPUT)

%.xmlv2: sequoia-wot.md
	kramdown-rfc2629 < $< > $@.tmp
	mv $@.tmp $@

%.xml: %.xmlv2
	xml2rfc --v2v3 $< -o $@

%.html: %.xml
	xml2rfc $< --html -o $@

%.txt: %.xml
	xml2rfc $< --text -o $@

%.pdf: %.xml
	xml2rfc $< --pdf -o $@

clean:
	-rm -rf $(OUTPUT) $(draft).xmlv2
.PRECIOUS: $(draft).xmlv2
.PHONY: clean all

## rust-sequoia-wot 0.2.0

=== debian/changelog ===
rust-sequoia-wot (0.2.0-1) unstable; urgency=medium

  * Package sequoia-wot 0.2.0 from crates.io using debcargo 2.5.0
    (Closes: #1011388)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 02 Jun 2022 11:50:44 +0200

=== debian/control ===
Source: rust-sequoia-wot
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-chrono-0.4+default-dev,
 librust-clap-2+default-dev (>= 2.33-~~),
 librust-clap-2+wrap-help-dev (>= 2.33-~~),
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
 librust-enumber-0.3+default-dev,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-num-cpus-1+default-dev,
 librust-sequoia-openpgp-1+default-dev (>= 1.5-~~),
 librust-sequoia-openpgp-mt-0.1+default-dev,
 librust-thiserror-1+default-dev (>= 1.0.2-~~),
 librust-time-0.3+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-wot]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-wot
Homepage: https://sequoia-pgp.org/
Rules-Requires-Root: no

Package: librust-sequoia-wot-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-chrono-0.4+default-dev,
 librust-clap-2+default-dev (>= 2.33-~~),
 librust-clap-2+wrap-help-dev (>= 2.33-~~),
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
 librust-enumber-0.3+default-dev,
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-num-cpus-1+default-dev,
 librust-sequoia-openpgp-1+default-dev (>= 1.5-~~),
 librust-sequoia-openpgp-mt-0.1+default-dev,
 librust-thiserror-1+default-dev (>= 1.0.2-~~),
 librust-time-0.3+default-dev
Provides:
 librust-sequoia-wot+default-dev (= ${binary:Version}),
 librust-sequoia-wot-0-dev (= ${binary:Version}),
 librust-sequoia-wot-0+default-dev (= ${binary:Version}),
 librust-sequoia-wot-0.2-dev (= ${binary:Version}),
 librust-sequoia-wot-0.2+default-dev (= ${binary:Version}),
 librust-sequoia-wot-0.2.0-dev (= ${binary:Version}),
 librust-sequoia-wot-0.2.0+default-dev (= ${binary:Version})
Description: Explore the OpenPGP Web of Trust using Sequoia - Rust source code
 The "Web of Trust" describes a network of identity assertions
 ("OpenPGP certifications") and signing delegations ("OpenPGP trust
 signatures"), which can be used to formally validate identity
 information in a cryptographic certificate.
 .
 In particular, this tooling allows the user to associate OpenPGP User
 IDs (or simply the e-mail address part of the User ID) with some set
 of OpenPGP certificates on the basis of explicit certifications made
 by trusted parties.
 .
 The validation rules and certificate formats used in the Web of Trust
 support corroborative, multiparty certification, so there is no need
 to assign full trust to any single party.
 .
 This tooling offers a means to explore the Web of Trust by a library
 in Rust, and a command-line interface capable of working with either
 certificates in the filesystem or interacting with GnuPG's certificate
 store and trust database.
 This package contains the source for the Rust sequoia-wot crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: sq-wot
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Explore the OpenPGP Web of Trust using Sequoia
 The "Web of Trust" describes a network of identity assertions
 ("OpenPGP certifications") and signing delegations ("OpenPGP trust
 signatures"), which can be used to formally validate identity
 information in a cryptographic certificate.
 .
 In particular, this tooling allows the user to associate OpenPGP User
 IDs (or simply the e-mail address part of the User ID) with some set
 of OpenPGP certificates on the basis of explicit certifications made
 by trusted parties.
 .
 The validation rules and certificate formats used in the Web of Trust
 support corroborative, multiparty certification, so there is no need
 to assign full trust to any single party.
 .
 This tooling offers a means to explore the Web of Trust by a library
 in Rust, and a command-line interface capable of working with either
 certificates in the filesystem or interacting with GnuPG's certificate
 store and trust database.
 This package contains the following binaries built from the Rust crate
 "sequoia-wot":
  - sq-wot

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.2.0 --all-targets --all-features
Features: test-name=rust-sequoia-wot:@
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-clap-2+default-dev (>= 2.33-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-0.9-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.2.0 --all-targets 
Features: test-name=librust-sequoia-wot-dev:default
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-clap-2+default-dev (>= 2.33-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-0.9-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.2.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-wot-dev:
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-clap-2+default-dev (>= 2.33-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-0.9-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-wot-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-wot .*/crates/sequoia-wot/@ANY_VERSION@/download

## rust-sequoia-wot 0.11.0

=== debian/changelog ===
rust-sequoia-wot (0.11.0-1) unstable; urgency=medium

  * Package sequoia-wot 0.11.0 from crates.io using debcargo 2.6.1
  * Add tab completion setup for bash, fish and zsh.

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Thu, 14 Mar 2024 10:46:14 +0100

rust-sequoia-wot (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-wot 0.9.0 from crates.io using debcargo 2.6.1
  * Drop add-hash-bang.patch, upstream has added one.
  * Stop patching predicates dependency, what upstream wants is now in sync
    with what debian has.
  * Update enable-nettle.patch for new upstream.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 27 Jan 2024 16:22:19 +0000

rust-sequoia-wot (0.8.1-3) unstable; urgency=medium

  * Team upload.
  * Package sequoia-wot 0.8.1 from crates.io using debcargo 2.6.0
  * Change test dependencies to full-feature "gnupg" package rather than limited
    feature "gpg" package.
  * Try to improve error reporting in tests using gpg.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 09 Nov 2023 13:23:32 +0000

rust-sequoia-wot (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-wot 0.8.1 from crates.io using debcargo 2.6.0
  * Move test_depends to the correct section in debcargo.toml.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 09 Nov 2023 03:23:05 +0000

rust-sequoia-wot (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * Package sequoia-wot 0.8.1 from crates.io using debcargo 2.6.0
  * Don't fail the build due to deprecated functions.
  * Bump predicates dev-dependency to 3.

  [ Alexander Kjäll ]
  * Package sequoia-wot 0.8.1 from crates.io using debcargo 2.6.0
  * Add myself as uploader.
  * Add hash-bang to gen-helper.sh
  * Remove windows-specific dependencies.
  * Add crypto-nettle feature to sequoia-openpgp dependency.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 Nov 2023 21:51:43 +0000

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,32 @@
 Build-Depends: debhelper (>= 12),
  dh-cargo (>= 25),
  cargo:native,
- rustc:native,
+ rustc:native (>= 1.70),
  libstd-rust-dev,
  librust-anyhow-1+default-dev (>= 1.0.18-~~),
  librust-chrono-0.4+default-dev,
- librust-clap-2+default-dev (>= 2.33-~~),
- librust-clap-2+wrap-help-dev (>= 2.33-~~),
+ librust-clap-4+default-dev,
+ librust-clap-4+derive-dev,
+ librust-clap-4+wrap-help-dev,
+ librust-clap-complete-4+default-dev,
+ librust-clap-mangen-0.2+default-dev,
  librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
+ librust-dot-writer-0.1+default-dev (>= 0.1.3-~~),
  librust-enumber-0.3+default-dev,
- librust-lazy-static-1+default-dev (>= 1.4.0-~~),
  librust-num-cpus-1+default-dev,
- librust-sequoia-openpgp-1+default-dev (>= 1.5-~~),
- librust-sequoia-openpgp-mt-0.1+default-dev,
- librust-thiserror-1+default-dev (>= 1.0.2-~~),
- librust-time-0.3+default-dev
+ librust-sequoia-cert-store-0.5+default-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.17-~~),
+ librust-sequoia-policy-config-0.6+default-dev,
+ librust-thiserror-1+default-dev (>= 1.0.2-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 4.5.1
+ Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+ Alexander Kjäll <alexander.kjall@gmail.com>
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-wot]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-wot
 Homepage: https://sequoia-pgp.org/
+X-Cargo-Crate: sequoia-wot
 Rules-Requires-Root: no
 
 Package: librust-sequoia-wot-dev
@@ -34,24 +39,47 @@
  ${misc:Depends},
  librust-anyhow-1+default-dev (>= 1.0.18-~~),
  librust-chrono-0.4+default-dev,
- librust-clap-2+default-dev (>= 2.33-~~),
- librust-clap-2+wrap-help-dev (>= 2.33-~~),
+ librust-clap-4+default-dev,
+ librust-clap-4+derive-dev,
+ librust-clap-4+wrap-help-dev,
+ librust-clap-complete-4+default-dev,
+ librust-clap-mangen-0.2+default-dev,
  librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
+ librust-dot-writer-0.1+default-dev (>= 0.1.3-~~),
  librust-enumber-0.3+default-dev,
- librust-lazy-static-1+default-dev (>= 1.4.0-~~),
  librust-num-cpus-1+default-dev,
- librust-sequoia-openpgp-1+default-dev (>= 1.5-~~),
- librust-sequoia-openpgp-mt-0.1+default-dev,
- librust-thiserror-1+default-dev (>= 1.0.2-~~),
- librust-time-0.3+default-dev
+ librust-sequoia-cert-store-0.5+default-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.17-~~),
+ librust-sequoia-policy-config-0.6+default-dev,
+ librust-thiserror-1+default-dev (>= 1.0.2-~~)
 Provides:
+ librust-sequoia-wot+clap-dev (= ${binary:Version}),
+ librust-sequoia-wot+clap-complete-dev (= ${binary:Version}),
+ librust-sequoia-wot+clap-mangen-dev (= ${binary:Version}),
+ librust-sequoia-wot+cli-dev (= ${binary:Version}),
  librust-sequoia-wot+default-dev (= ${binary:Version}),
+ librust-sequoia-wot+dot-writer-dev (= ${binary:Version}),
  librust-sequoia-wot-0-dev (= ${binary:Version}),
+ librust-sequoia-wot-0+clap-dev (= ${binary:Version}),
+ librust-sequoia-wot-0+clap-complete-dev (= ${binary:Version}),
+ librust-sequoia-wot-0+clap-mangen-dev (= ${binary:Version}),
+ librust-sequoia-wot-0+cli-dev (= ${binary:Version}),
  librust-sequoia-wot-0+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.2-dev (= ${binary:Version}),
- librust-sequoia-wot-0.2+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.2.0-dev (= ${binary:Version}),
- librust-sequoia-wot-0.2.0+default-dev (= ${binary:Version})
+ librust-sequoia-wot-0+dot-writer-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11+clap-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11+clap-complete-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11+clap-mangen-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11+cli-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11+default-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11+dot-writer-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11.0-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11.0+clap-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11.0+clap-complete-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11.0+clap-mangen-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11.0+cli-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11.0+default-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.11.0+dot-writer-dev (= ${binary:Version})
 Description: Explore the OpenPGP Web of Trust using Sequoia - Rust source code
  The "Web of Trust" describes a network of identity assertions
  ("OpenPGP certifications") and signing delegations ("OpenPGP trust
@@ -71,8 +99,7 @@
  in Rust, and a command-line interface capable of working with either
  certificates in the filesystem or interacting with GnuPG's certificate
  store and trust database.
- This package contains the source for the Rust sequoia-wot crate, packaged by
- debcargo for use with cargo and dh-cargo.
+ Source code for Debianized Rust crate "sequoia-wot"
 
 Package: sq-wot
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem cargo

override_dh_install:
	mkdir -p debian/sq-wot/usr/share/fish/completions/ debian/sq-wot/usr/share/zsh/vendor-completions/ debian/sq-wot/usr/share/bash-completion/completions/
	cp -f debian/sq-wot.fish debian/sq-wot/usr/share/fish/completions/sq-wot.fish
	chmod -x debian/sq-wot/usr/share/fish/completions/sq-wot.fish
	cp -f debian/sq-wot.zsh debian/sq-wot/usr/share/zsh/vendor-completions/_sq-wot
	cp -f debian/sq-wot.bash debian/sq-wot/usr/share/bash-completion/completions/sq-wot
	dh_install

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.11.0 --all-targets --all-features
Features: test-name=rust-sequoia-wot:@
Depends: dh-cargo (>= 18), gnupg, librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.11.0 --all-targets --no-default-features --features clap
Features: test-name=librust-sequoia-wot-dev:clap
Depends: dh-cargo (>= 18), gnupg, librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.11.0 --all-targets --no-default-features --features clap_complete
Features: test-name=librust-sequoia-wot-dev:clap_complete
Depends: dh-cargo (>= 18), gnupg, librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.11.0 --all-targets --no-default-features --features clap_mangen
Features: test-name=librust-sequoia-wot-dev:clap_mangen
Depends: dh-cargo (>= 18), gnupg, librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.11.0 --all-targets --no-default-features --features cli
Features: test-name=librust-sequoia-wot-dev:cli
Depends: dh-cargo (>= 18), gnupg, gnupg, gnupg, librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.11.0 --all-targets
Features: test-name=librust-sequoia-wot-dev:default

## rust-sequoia-wot 0.12.0

=== debian/changelog ===
rust-sequoia-wot (0.12.0-4) unstable; urgency=medium

  * Package sequoia-wot 0.12.0 from crates.io using debcargo 2.7.1
    - debian/patches: add dep3 headers.

 -- Holger Levsen <holger@debian.org>  Mon, 21 Oct 2024 12:39:01 +0200

rust-sequoia-wot (0.12.0-3) unstable; urgency=medium

  * Package sequoia-wot 0.12.0 from crates.io using debcargo 2.7.0
    - ship upstream manpages and shell completions.
    - add relax-deps.patch to allow build against newer sequoia-policy-config.

 -- Holger Levsen <holger@debian.org>  Fri, 11 Oct 2024 19:37:18 +0200

rust-sequoia-wot (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * Package sequoia-wot 0.12.0 from crates.io using debcargo 2.6.1
  * Skip most tests on riscv64 due to timeouts.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 20 Aug 2024 17:49:37 +0000

rust-sequoia-wot (0.12.0-1) unstable; urgency=medium

  * Package sequoia-wot 0.12.0 from crates.io using debcargo 2.6.1
    Closes: #1074637.
  * Refresh patches.
  * Add myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Tue, 02 Jul 2024 18:13:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rust-sequoia-wot
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native,
  rustc:native (>= 1.70),
  libstd-rust-dev,
@@ -17,15 +17,17 @@
  librust-dot-writer-0.1+default-dev (>= 0.1.3-~~),
  librust-enumber-0.3+default-dev,
  librust-num-cpus-1+default-dev,
- librust-sequoia-cert-store-0.5+default-dev,
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.17-~~),
- librust-sequoia-policy-config-0.6+default-dev,
- librust-thiserror-1+default-dev (>= 1.0.2-~~)
+ librust-sequoia-cert-store-0.6+default-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.20-~~),
+ librust-sequoia-policy-config-0.7+default-dev | librust-sequoia-policy-config-0.6+default-dev,
+ librust-thiserror-1+default-dev (>= 1.0.2-~~),
+ bash-completion
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
+ Alexander Kjäll <alexander.kjall@gmail.com>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
- Alexander Kjäll <alexander.kjall@gmail.com>
-Standards-Version: 4.6.2
+ Holger Levsen <holger@debian.org>
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-wot]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-wot
 Homepage: https://sequoia-pgp.org/
@@ -48,9 +50,9 @@
  librust-dot-writer-0.1+default-dev (>= 0.1.3-~~),
  librust-enumber-0.3+default-dev,
  librust-num-cpus-1+default-dev,
- librust-sequoia-cert-store-0.5+default-dev,
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.17-~~),
- librust-sequoia-policy-config-0.6+default-dev,
+ librust-sequoia-cert-store-0.6+default-dev,
+ librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.20-~~),
+ librust-sequoia-policy-config-0.7+default-dev | librust-sequoia-policy-config-0.6+default-dev,
  librust-thiserror-1+default-dev (>= 1.0.2-~~)
 Provides:
  librust-sequoia-wot+clap-dev (= ${binary:Version}),
@@ -66,20 +68,20 @@
  librust-sequoia-wot-0+cli-dev (= ${binary:Version}),
  librust-sequoia-wot-0+default-dev (= ${binary:Version}),
  librust-sequoia-wot-0+dot-writer-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11+clap-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11+clap-complete-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11+clap-mangen-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11+cli-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11+dot-writer-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11.0-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11.0+clap-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11.0+clap-complete-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11.0+clap-mangen-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11.0+cli-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11.0+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.11.0+dot-writer-dev (= ${binary:Version})
+ librust-sequoia-wot-0.12-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12+clap-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12+clap-complete-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12+clap-mangen-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12+cli-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12+default-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12+dot-writer-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12.0-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12.0+clap-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12.0+clap-complete-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12.0+clap-mangen-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12.0+cli-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12.0+default-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.12.0+dot-writer-dev (= ${binary:Version})
 Description: Explore the OpenPGP Web of Trust using Sequoia - Rust source code
  The "Web of Trust" describes a network of identity assertions
  ("OpenPGP certifications") and signing delegations ("OpenPGP trust
@@ -116,7 +118,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: Explore the OpenPGP Web of Trust using Sequoia
  The "Web of Trust" describes a network of identity assertions
  ("OpenPGP certifications") and signing delegations ("OpenPGP trust

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem cargo --with bash-completion

override_dh_install:
	for file in sq-wot.fish _sq-wot sq-wot.bash ; do find target/*linux*/release -name $$file -exec mv {} debian/tmp/ \; ; done
	find target/*linux*/release -name '*.1' -exec mv {} debian/tmp/ \;
	dh_install

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.12.0 --all-targets --all-features
Features: test-name=rust-sequoia-wot:@
Depends: dh-cargo (>= 31), gnupg, rustc:native (>= 1.70), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.12.0 --all-targets --no-default-features --features clap
Features: test-name=librust-sequoia-wot-dev:clap
Depends: dh-cargo (>= 31), gnupg, rustc:native (>= 1.70), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.12.0 --all-targets --no-default-features --features clap_complete
Features: test-name=librust-sequoia-wot-dev:clap_complete
Depends: dh-cargo (>= 31), gnupg, rustc:native (>= 1.70), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.12.0 --all-targets --no-default-features --features clap_mangen
Features: test-name=librust-sequoia-wot-dev:clap_mangen
Depends: dh-cargo (>= 31), gnupg, rustc:native (>= 1.70), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.12.0 --all-targets --no-default-features --features cli
Features: test-name=librust-sequoia-wot-dev:cli
Depends: dh-cargo (>= 31), gnupg, gnupg, gnupg, rustc:native (>= 1.70), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-predicates-3+default-dev | librust-predicates-2+default-dev (>= 2.1.0-~~), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-sequoia-wot 0.13.2

=== debian/changelog ===
rust-sequoia-wot (0.13.2-1) unstable; urgency=medium

  * Package sequoia-wot 0.13.2 from crates.io using debcargo 2.7.4

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 25 Nov 2024 20:10:39 -0500

=== debian/control ===
Source: rust-sequoia-wot
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.75) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
 librust-chrono-0.4+default-dev <!nocheck>,
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-sequoia-cert-store-0.6-dev <!nocheck>,
 librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.20-~~) <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Holger Levsen <holger@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sequoia-wot]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sequoia-wot
Homepage: https://sequoia-pgp.org/
X-Cargo-Crate: sequoia-wot
Rules-Requires-Root: no

Package: librust-sequoia-wot-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.18-~~),
 librust-chrono-0.4+default-dev,
 librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
 librust-num-cpus-1+default-dev,
 librust-sequoia-cert-store-0.6-dev,
 librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.20-~~),
 librust-thiserror-1+default-dev (>= 1.0.2-~~)
Provides:
 librust-sequoia-wot+default-dev (= ${binary:Version}),
 librust-sequoia-wot-0-dev (= ${binary:Version}),
 librust-sequoia-wot-0+default-dev (= ${binary:Version}),
 librust-sequoia-wot-0.13-dev (= ${binary:Version}),
 librust-sequoia-wot-0.13+default-dev (= ${binary:Version}),
 librust-sequoia-wot-0.13.2-dev (= ${binary:Version}),
 librust-sequoia-wot-0.13.2+default-dev (= ${binary:Version})
Description: Explore the OpenPGP Web of Trust using Sequoia - Rust source code
 The "Web of Trust" describes a network of identity assertions
 ("OpenPGP certifications") and signing delegations ("OpenPGP trust
 signatures"), which can be used to formally validate identity
 information in a cryptographic certificate.
 .
 In particular, this tooling allows the user to associate OpenPGP User
 IDs (or simply the e-mail address part of the User ID) with some set
 of OpenPGP certificates on the basis of explicit certifications made
 by trusted parties.
 .
 The validation rules and certificate formats used in the Web of Trust
 support corroborative, multiparty certification, so there is no need
 to assign full trust to any single party.
 .
 This tooling offers a means to explore the Web of Trust by a library
 in Rust, and a command-line interface capable of working with either
 certificates in the filesystem or interacting with GnuPG's certificate
 store and trust database.
 Source code for Debianized Rust crate "sequoia-wot"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.13.2 --all-targets --all-features
Features: test-name=rust-sequoia-wot:@
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.75), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.13.2 --all-targets
Features: test-name=librust-sequoia-wot-dev:default
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.75), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.13.2 --all-targets --no-default-features
Features: test-name=librust-sequoia-wot-dev:
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.75), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

## rust-sequoia-wot 0.13.3

=== debian/changelog ===
rust-sequoia-wot (0.13.3-1) unstable; urgency=medium

  * Package sequoia-wot 0.13.3 from crates.io using debcargo 2.7.7
    - refresh patches.

 -- Holger Levsen <holger@debian.org>  Wed, 26 Feb 2025 17:34:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
  cargo:native <!nocheck>,
- rustc:native (>= 1.75) <!nocheck>,
+ rustc:native (>= 1.79.0) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
  librust-chrono-0.4+default-dev <!nocheck>,
@@ -12,7 +12,7 @@
  librust-num-cpus-1+default-dev <!nocheck>,
  librust-sequoia-cert-store-0.6-dev <!nocheck>,
  librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.20-~~) <!nocheck>,
- librust-thiserror-1+default-dev (>= 1.0.2-~~) <!nocheck>
+ librust-thiserror+default-dev (>= 1-~~), librust-thiserror+default-dev (<< 3-~~) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,
@@ -36,15 +36,15 @@
  librust-num-cpus-1+default-dev,
  librust-sequoia-cert-store-0.6-dev,
  librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.20-~~),
- librust-thiserror-1+default-dev (>= 1.0.2-~~)
+ librust-thiserror+default-dev (>= 1-~~), librust-thiserror+default-dev (<< 3-~~)
 Provides:
  librust-sequoia-wot+default-dev (= ${binary:Version}),
  librust-sequoia-wot-0-dev (= ${binary:Version}),
  librust-sequoia-wot-0+default-dev (= ${binary:Version}),
  librust-sequoia-wot-0.13-dev (= ${binary:Version}),
  librust-sequoia-wot-0.13+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.13.2-dev (= ${binary:Version}),
- librust-sequoia-wot-0.13.2+default-dev (= ${binary:Version})
+ librust-sequoia-wot-0.13.3-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.13.3+default-dev (= ${binary:Version})
 Description: Explore the OpenPGP Web of Trust using Sequoia - Rust source code
  The "Web of Trust" describes a network of identity assertions
  ("OpenPGP certifications") and signing delegations ("OpenPGP trust

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.13.3 --all-targets --all-features
Features: test-name=rust-sequoia-wot:@
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.13.3 --all-targets
Features: test-name=librust-sequoia-wot-dev:default
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.13.3 --all-targets --no-default-features
Features: test-name=librust-sequoia-wot-dev:
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-1+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-1+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

## rust-sequoia-wot 0.14.0

=== debian/changelog ===
rust-sequoia-wot (0.14.0-1) unstable; urgency=medium

  * Package sequoia-wot 0.14.0 from crates.io using debcargo 2.7.8
    - refresh debian/patches.
    - update debian/tests/control.

 -- Holger Levsen <holger@debian.org>  Sun, 30 Mar 2025 15:34:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-cargo,
- cargo:native <!nocheck>,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native <!nocheck>,
  rustc:native (>= 1.79.0) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-anyhow-1+default-dev (>= 1.0.18-~~) <!nocheck>,
  librust-chrono-0.4+default-dev <!nocheck>,
  librust-crossbeam-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
  librust-num-cpus-1+default-dev <!nocheck>,
- librust-sequoia-cert-store-0.6-dev <!nocheck>,
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.20-~~) <!nocheck>,
- librust-thiserror+default-dev (>= 1-~~), librust-thiserror+default-dev (<< 3-~~) <!nocheck>
+ librust-sequoia-cert-store-0.7-dev <!nocheck>,
+ librust-sequoia-openpgp-2+crypto-nettle-dev <!nocheck>,
+ librust-thiserror+default-dev (<< 3-~~) <!nocheck>,
+ librust-thiserror+default-dev (>= 1-~~) <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>,
@@ -34,17 +35,18 @@
  librust-chrono-0.4+default-dev,
  librust-crossbeam-0.8+default-dev (>= 0.8.1-~~),
  librust-num-cpus-1+default-dev,
- librust-sequoia-cert-store-0.6-dev,
- librust-sequoia-openpgp-1+crypto-nettle-dev (>= 1.20-~~),
- librust-thiserror+default-dev (>= 1-~~), librust-thiserror+default-dev (<< 3-~~)
+ librust-sequoia-cert-store-0.7-dev,
+ librust-sequoia-openpgp-2+crypto-nettle-dev,
+ librust-thiserror+default-dev (<< 3-~~),
+ librust-thiserror+default-dev (>= 1-~~)
 Provides:
  librust-sequoia-wot+default-dev (= ${binary:Version}),
  librust-sequoia-wot-0-dev (= ${binary:Version}),
  librust-sequoia-wot-0+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.13-dev (= ${binary:Version}),
- librust-sequoia-wot-0.13+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.13.3-dev (= ${binary:Version}),
- librust-sequoia-wot-0.13.3+default-dev (= ${binary:Version})
+ librust-sequoia-wot-0.14-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.14+default-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.14.0-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.14.0+default-dev (= ${binary:Version})
 Description: Explore the OpenPGP Web of Trust using Sequoia - Rust source code
  The "Web of Trust" describes a network of identity assertions
  ("OpenPGP certifications") and signing delegations ("OpenPGP trust

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.14.0 --all-targets --all-features
Features: test-name=rust-sequoia-wot:@
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.14.0 --all-targets
Features: test-name=librust-sequoia-wot-dev:default
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.14.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-wot-dev:
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

## rust-sequoia-wot 0.15.0

=== debian/changelog ===
rust-sequoia-wot (0.15.0-1) unstable; urgency=medium

  * Package sequoia-wot 0.15.0 from crates.io using debcargo 2.7.8
  * Enable all tests on riscv64 like on all other archs again.

 -- Holger Levsen <holger@debian.org>  Wed, 20 Aug 2025 18:39:56 +0200

=== debian/control ===
--- 
+++ 
@@ -43,10 +43,10 @@
  librust-sequoia-wot+default-dev (= ${binary:Version}),
  librust-sequoia-wot-0-dev (= ${binary:Version}),
  librust-sequoia-wot-0+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.14-dev (= ${binary:Version}),
- librust-sequoia-wot-0.14+default-dev (= ${binary:Version}),
- librust-sequoia-wot-0.14.0-dev (= ${binary:Version}),
- librust-sequoia-wot-0.14.0+default-dev (= ${binary:Version})
+ librust-sequoia-wot-0.15-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.15+default-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.15.0-dev (= ${binary:Version}),
+ librust-sequoia-wot-0.15.0+default-dev (= ${binary:Version})
 Description: Explore the OpenPGP Web of Trust using Sequoia - Rust source code
  The "Web of Trust" describes a network of identity assertions
  ("OpenPGP certifications") and signing delegations ("OpenPGP trust

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.15.0 --all-targets --all-features
Features: test-name=rust-sequoia-wot:@
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.15.0 --all-targets
Features: test-name=librust-sequoia-wot-dev:default
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sequoia-wot 0.15.0 --all-targets --no-default-features
Features: test-name=librust-sequoia-wot-dev:
Depends: dh-cargo (>= 31), gnupg, rustc (>= 1.79.0), librust-quickcheck-1-dev, librust-sequoia-openpgp-2+--implicit-crypto-backend-for-tests-dev, librust-sequoia-openpgp-2+crypto-nettle-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sequoia-wot-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sequoia-wot .*/crates/sequoia-wot/@ANY_VERSION@/download
